# Uses of Enum Class
javax.xml.xpath.XPathEvaluationResult.XPathResultType

Packages that use XPathEvaluationResult.XPathResultType
Package
Description
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.

## Uses of XPathEvaluationResult.XPathResultType in javax.xml.xpath

Methods in javax.xml.xpath that return XPathEvaluationResult.XPathResultType
Modifier and Type
Method
Description
`XPathEvaluationResult.XPathResultType`
XPathEvaluationResult.`type()`
Return the result type as an enum specified by `XPathResultType`
`static XPathEvaluationResult.XPathResultType`
XPathEvaluationResult.XPathResultType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XPathEvaluationResult.XPathResultType[]`
XPathEvaluationResult.XPathResultType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.